archtest _ function(x, order) 
	# This function perform the LR-test for 
	#	H_0: WN(0, c_0)   against  H_1: ARCH(order)	
	# x: time series data
	# order: the order of ARCH model
{
	MLR_1:9
	MLR=MLR*0
	sigma0=sqrt(var(x))
	f0=dnorm(x/sigma0)/sigma0
	n=length(x)
	order1_order+1
	f00_f0[order1:n]
	f2_garch(~-1, ~garch(order,0), x, x.start=order+1)
	z=f2$sigma.t
	y=x[order1:n]/z[order1:n]
	f1=dnorm(y)/z[order1:n]
	f1=f1/f00
	MLR[9]=prod(f1)
	p.norm=1-pchisq(2*log(MLR[9]), order)
	p.t_1:8	
	for(i in 8:3) {
		f0=dt(x/sigma0*sqrt(1-2/i), i)/sigma0	
		f00_f0[order1:n]
		f2_garch(~-1, ~garch(order,0), x, x.start=order+1, cond.dist='t', cond.par=i)
		z=f2$sigma.t
		y=x[order1:n]/z[order1:n]
		f1=dt(y*sqrt(1-2/i), i)/z[order1:n]
		f1=f1/f00
		MLR[i]=prod(f1)
		p.t[i]=1-pchisq(2*log(MLR[i]), order)
	}
#	writeLines("The p-values with t(8:3):")
#	p.t[8:3]
	list(PvalueNorm=p.norm, LRnorm=MLR[9], PvaluesT83=p.t[8:3], LRt=MLR[8:3])
}
